Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jp.ac.nagoyau.is.ss.kishii.suntori.message.information
Class UnpassableInformation

    java.lang.Object
      jp.ac.nagoyau.is.ss.kishii.suntori.message.RCRSCSMessage
          jp.ac.nagoyau.is.ss.kishii.suntori.message.information.WorldInformation
              jp.ac.nagoyau.is.ss.kishii.suntori.message.information.UnpassableInformation

All Implemented Interfaces:
  IMessage

    public class UnpassableInformation

extends WorldInformation

The UnpassableInformation show the information that some area is not available to go to the neighbor area.

Author:
  takefumi

Field Summary

Fields inherited from class jp.ac.nagoyau.is.ss.kishii.suntori.message.RCRSCSMessage
`COMMON_DATA_TYPE, data, messageType`

Constructor Summary
`protected` | `UnpassableInformation(BaseMessageType type, java.util.List<java.lang.Integer> bitList, int offset, java.util.EnumMap<DataType,java.lang.Integer> bitSizeMap)`
`` | `UnpassableInformation(int time, rescuecore2.worldmodel.EntityID platoonID, rescuecore2.worldmodel.EntityID from, rescuecore2.worldmodel.EntityID to, rescuecore2.worldmodel.EntityID blockade)` Constructor
`` | `UnpassableInformation(java.util.List<java.lang.Integer> bitList, int offset, java.util.EnumMap<DataType,java.lang.Integer> bitSizeMap)` The method that the library use to convert the message.

Method Summary
`rescuecore2.worldmodel.EntityID` | `getAgentID()` Return EntityID of the rescue agent.
`rescuecore2.worldmodel.EntityID` | `getBLockadeID()` EntityID of blockade that is a cause of the unppasable situation.
`rescuecore2.worldmodel.EntityID` | `getEntityID()`
`rescuecore2.worldmodel.EntityID` | `getFromAreaID()` Return EntityID of area that the agent is standing
`rescuecore2.worldmodel.EntityID` | `getToAreaID()` EntityID of destination area

Methods inherited from class jp.ac.nagoyau.is.ss.kishii.suntori.message.RCRSCSMessage
`equals, getBrokenness, getBuriedness, getCoodinate, getDamage, getData, getData, getDataTypeArray, getEntityIDList, getFieryness, getHP, getID, getMessageBitSize, getMessageType, getRepairCost, getSendTime, getSendTime, getWater, getWaterPower, hashCode, isSendable, setCoorinate, setData, setData`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UnpassableInformation

    public UnpassableInformation(int time,
                                 rescuecore2.worldmodel.EntityID platoonID,
                                 rescuecore2.worldmodel.EntityID from,
                                 rescuecore2.worldmodel.EntityID to,
                                 rescuecore2.worldmodel.EntityID blockade)

  ## Constructor

  Create the unpassable information.
  Included data are follow.
  - time:the time that the message is created.(int)
  - platoonID:EntityID of the rescue agent(pf,at,fb).
  - from:EntityID of area that the agent is standing
  - to:EntityID of destination area
  - blockade:EntityID of blockade that is a cause of the unpassable situation

  Parameters:
    `time` - step num
    `platoonID` - EntityID of the rescue agent
    `from` - EntityID of area that the agent is standing.
    `to` - EntityID of destination area
    `blockade` - EntityID of blockade that is a cause of the unppasable situation.

### UnpassableInformation

    public UnpassableInformation(java.util.List<java.lang.Integer> bitList,
                                 int offset,
                                 java.util.EnumMap<DataType,java.lang.Integer> bitSizeMap)

  The method that the library use to convert the message.

  Parameters:
    `bitList` -
    `offset` -
    `bitSizeMap` -

### UnpassableInformation

    protected UnpassableInformation(BaseMessageType type,
                                    java.util.List<java.lang.Integer> bitList,
                                    int offset,
                                    java.util.EnumMap<DataType,java.lang.Integer> bitSizeMap)

Method Detail

### getAgentID

    public rescuecore2.worldmodel.EntityID getAgentID()

  Return EntityID of the rescue agent.

  Returns:
    EntityID

### getEntityID

    public rescuecore2.worldmodel.EntityID getEntityID()

  Specified by:
    `getEntityID` in class `WorldInformation`

### getFromAreaID

    public rescuecore2.worldmodel.EntityID getFromAreaID()

  Return EntityID of area that the agent is standing

  Returns:
    EntityID of area

### getToAreaID

    public rescuecore2.worldmodel.EntityID getToAreaID()

  EntityID of destination area

  Returns:
    EntityID of area

### getBLockadeID

    public rescuecore2.worldmodel.EntityID getBLockadeID()

  EntityID of blockade that is a cause of the unppasable situation.

  Returns:
    EntityID of blockade

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD